<script type="text/javascript">
    $(document).ready(function(){
      var pos = initValue();


      $('#avatar').imgAreaSelect({aspectRatio: '0.692:1',
        x1: pos.x1,
        y1: pos.y1,
        x2: pos.x2,
        y2: pos.y2,
        handles: true,

        onSelectEnd: function (img, selection) {
          $('input[name=x1]').val(selection.x1);
          $('input[name=y1]').val(selection.y1);
          $('input[name=x2]').val(selection.x2);
          $('input[name=y2]').val(selection.y2);
        }
      });
    });

    function initValue(){
      var o    = new Object();
      var x    = $("#avatar").width();
      var y    = $("#avatar").height();
      var size = x >= y ? y : x;
      size     = size >= 100 ? 100 : size;
      o.x1 = (x - size) / 2;
      o.y1 = (y - size) / 2;
      o.x2 = o.x1 + size;
      o.y2 = o.y1 + size;
      return o;
    }



    function checkImage(){
      var image_name = $("#photo").val();
      var reg = /\.png|jpeg|jpg|bmp|gif$/i
      if (reg.test(image_name)){
        return true;
      }else if(image_name == "") {
        alert("没有选择图片！");
        return false;
      }else{
        alert("图片格式不正确！");
        return false;
      }
    }

</script>


<% form_for(:pet,
:url => {:action => 'photo_resize'},
:html => { :multipart => true }) do |f| %>
<%= f.error_messages %>

<input id="x1" type="hidden" value="0" name="x1"/>
<input id="y1" type="hidden" value="0" name="y1"/>
<input id="x2" type="hidden" value="150" name="x2"/>
<input id="y2" type="hidden" value="150" name="y2"/>
<input id="pet_id" type="hidden" value="<%= @pet.id %>" name="pet_id"/>
<fieldset>
  <legend>裁剪宠物照片</legend>
  <br/>
  
  <p style="float:left;width: 500px; margin-top: 15px; display:inline;">
    <%= image_tag "/upload/pet_pic/" + @pet.image_url, :style => "width:320px;", :id=>"avatar" %>
  </p>
  
  <p style="clear:both;">
    <%= f.submit '裁剪' %>
  </p>

</fieldset>

<% end %>
